---
id: 6o0dghoa
title: Introduction
metaTitle: API reference - JavaScript Data Grid | Handsontable
description: Control the data grid programmatically, using Handsontable's API options and methods.
permalink: /api/
canonicalUrl: /api/
searchCategory: API Reference
react:
  id: 45svfigt
  metaTitle: API reference - React Data Grid | Handsontable
---

# Handsontable API reference

[[toc]]

Welcome to Handsontable's API reference. Our goal is to make it easy to dive in and start coding from day one.

However, data grids are rather complex libraries, so we assume that you possess a certain level of expertise in JavaScript before moving forward. If you want to grab some basics, we have provided a JavaScript example in the [demo](@/guides/getting-started/demo.md) section.

The API enables you to control the data grid programmatically. With this API, you can:

-   Configure options
-   Use methods to programmatically control the grid
-   Use Handsontable hooks to react to what's happening with the grid or change built-in behavior
-   Introduce new integrations
-   and more

**This reference comprises four sections:**

### [Core](@/api/core.md)

The `Handsontable` class controls the essential aspects of the data grid.

### [Hooks](@/api/hooks.md)

Handsontable hooks are events that fire whenever a specific action occurs within the instance of Handsontable.

### [Options](@/api/options.md)

These are the settings available to be registered for the `Core` features, in addition to those provided by plugins.

### [Plugins](@/api/plugins.md)

The plugins extend the capabilities of Handsontable.

## Getting help

If you need help using the API reference, please [contact our Support](https://handsontable.com/contact?category=technical_support).
